Videos

Video Passwords

Operations on video passwords.

List video passwords

GET
https://peertube2.cpy.re/api/v1/videos/{id}/passwords

PeerTube >= 6.0

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

startinteger>= 0query

Offset used to paginate results

countinteger[1, 100]15query

Number of items to return

sortstringquery

Sort column

Response

successful operation

Response fields application/json
totalinteger
Example
1
Show child attributes
idid>= 1
Example
42
passwordpassword
videoIdid>= 1
Example
42
400Bad Request

video is not password protected

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: user

Add a video password

POST
https://peertube2.cpy.re/api/v1/videos/{id}/passwords

PeerTube >= 8.0

Body

application/json
passwordstring

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

Response

204No Content

successful operation

400Bad Request

video is not password protected

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: user

Update video passwords

PUT
https://peertube2.cpy.re/api/v1/videos/{id}/passwords

PeerTube >= 6.0

Body

application/json

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

Response

204No Content

successful operation

400Bad Request

video is not password protected

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: user

Delete a video password

DELETE
https://peertube2.cpy.re/api/v1/videos/{id}/passwords/{passwordId}

PeerTube >= 6.0

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

passwordIdid>= 1requiredpath

The video password id

Response

204No Content

successful operation

400Bad Request

video is not password protected

403Forbidden

cannot delete the last password of the protected video

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: user